%global momorel 2
%global ppp_version 2.4.5

Summary: Mobile broadband modem management service
Name: ModemManager
Version: 0.4
Release: %{momorel}m%{?dist}
Source: http://ftp.gnome.org/pub/GNOME/sources/ModemManager/0.4/ModemManager-%{version}.tar.bz2
NoSource: 0
License: GPLv2+
Group: System Environment/Base

URL: http://www.gnome.org/projects/NetworkManager/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dbus-glib >= 0.82
Requires: glib2 >= 2.18
BuildRequires: glib2-devel >= 2.18
BuildRequires: dbus-glib-devel >= 0.82
BuildRequires: libgudev-devel >= 143
BuildRequires: ppp = %{ppp_version}
BuildRequires: ppp-devel = %{ppp_version}
BuildRequires: polkit-devel
BuildRequires: automake autoconf intltool libtool
# for xsltproc
BuildRequires: libxslt

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%prep
%setup -q

%build

pppddir=`ls -1d %{_libdir}/pppd/2*`
%configure \
	--enable-more-warnings=yes \
	--with-udev-base-dir=/lib/udev \
	--with-tests=yes \
	--with-docs=yes \
	--disable-static \
	--with-pppd-plugin-dir=$pppddir \
	--with-polkit=no

%make

%install
make install DESTDIR=%{buildroot}

find %{buildroot}%{_libdir} -name "*.la" -exec rm -f {} \;
rm -f %{buildroot}%{_libdir}/pppd/2.*/*.so

%check
make check

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files
%defattr(0644, root, root, 0755)
%doc COPYING README
/lib/udev/rules.d/*
%dir %{_libdir}/%{name}
%attr(0755,root,root) %{_sbindir}/modem-manager
%attr(0755,root,root) %{_libdir}/%{name}/*.so*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/icons/hicolor/22x22/apps/modem-manager.png
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager.service
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager.conf

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4-2m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-2m)
- rebuild against ppp-2.4.5

* Wed Jun 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4-1m)
- update 0.4

* Fri Jun 11 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.998-1m)
- update 0.3.998

* Wed Jun  2 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.997-1m)
- initial commit Momonga Linux

